File: qemu-system-x86.NEWS

package info (click to toggle)
qemu 1%3A5.2%2Bdfsg-10
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 201,372 kB
  • sloc: ansic: 2,327,506; pascal: 107,506; asm: 49,545; python: 40,498; sh: 35,286; cpp: 33,587; makefile: 15,209; perl: 6,965; xml: 3,028; objc: 1,460; php: 1,299; tcl: 1,070; yacc: 604; lex: 363; sql: 71; awk: 35; sed: 11
file content (35 lines) | stat: -rw-r--r-- 1,717 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
qemu (1:5.0-9) unstable; urgency=medium

  With this version, kvm wrapper (initially from the separate kvm
  package, which were later renamed to qemu-kvm) is merged back
  to qemu-system-x86 package, replacing old qemu-kvm package.
  'kvm' command name turned out to be very handy for manual
  execution of qemu with kvm enabled, and we now rely on the
  upstream behavor - when executable name ends with "kvm" it
  enables the kvm mode by default if available, and falls back
  to TCG if not.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 17 Jul 2020 12:54:35 +0300

qemu (1.7.0+dfsg-2) unstable; urgency=low

  Since version 1.7.0+dfsg-2, qemu-system-x86 switched from vgabios for
  plex/bochs project to implementation of vgabios provided by seabios.
  The latter is written almost entirely in C language so it is much easier
  to debugu/develop, but it lacks some 16bit protected mode functions which
  are present in vgabios.  This means that it is possible that, for eaxample,
  some protected-mode games written for MS-DOS may not work since this
  release.

  This also means that vgabios package isn't used by qemu anymore, and might
  be removed from the system if there are no other users of it left.


  /usr/bin/kvm shell wrapper has been moved back to qemu-kvm package (it was
  moved to qemu-system-x86 in version 1.3.0+dfsg-2exp).  Please note that we
  do not re-install qemu-kvm package if it has been removed as obsolete, so
  if you need /usr/bin/kvm wrapper please install qemu-kvm package again.
  This change allows qemu-system-x86 package to co-exist with the old qemu-kvm
  binary (not shell-wrapper) package from wheezy.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 28 Nov 2013 18:40:56 +0400